Bug 464870 - system.listGroups returns id as string
system.listGroups returns id as string
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Sherrill
John Matthews
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2008-09-30 18:23 EDT by Justin Sherrill
Modified: 2009-09-10 15:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:53:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-09-30 18:23:57 EDT
system.listGroups returns the sgid as a string.

We should deprecate  sgid and return just 'id' as an int.
Comment 1 John Matthews 2009-01-23 11:09:57 EST
Verified against ISO: Satellite-5.3.0-RHEL5-re20081223.1-i386-embedded-oracle.iso


Method: listGroups
Description:
List the available groups for a given system.

Parameters:

    * string sessionKey
    * int serverId

Returns:

    * array struct - system group
          o int "id" - server group id
          o int "subscribed" - 1 if the given server is subscribed to this server group, 0 otherwise
          o string "system_group_name" - Name of the server group
          o String "sgid" - server group id (Deprecated)
Comment 2 Sayli Karmarkar 2009-08-13 14:50:44 EDT
Moving to Release_pending. 

 Method: listGroups
Description:
List the available groups for a given system.

Parameters:

    * string sessionKey
    * int serverId

Returns:

    * array struct - system group
          o int "id" - server group id
          o int "subscribed" - 1 if the given server is subscribed to this server group, 0 otherwise
          o string "system_group_name" - Name of the server group
          o string "sgid" - server group id (Deprecated)
Comment 3 Brandon Perkins 2009-09-10 15:53:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.